#!/bin/bash

if [[ -n "$CERC_SCRIPT_DEBUG" ]]; then
  set -x
fi

set -e

# Create the required config file
config_file="/app/config.yml"
cat <<EOF > $config_file
services:
  registry:
    rpcEndpoint: ${CERC_LACONICD_RPC_ENDPOINT}
    gqlEndpoint: ${CERC_LACONICD_GQL_ENDPOINT}
    userKey: "${CERC_LACONICD_USER_KEY}"
    bondId: ${CERC_LACONICD_BOND_ID}
    chainId: ${CERC_LACONICD_CHAIN_ID}
    gas: ${CERC_LACONICD_GAS}
    fees: ${CERC_LACONICD_FEES}
    gasPrice: ${CERC_LACONICD_GASPRICE}
EOF

echo "Exported config to $config_file"
